
package org.tio.sitexxx.server.controller;

import org.tio.http.server.annotation.RequestPath;
import org.tio.jfinal.plugin.activerecord.Page;
import org.tio.jfinal.plugin.activerecord.Record;
import org.tio.utils.resp.Resp;

import java.util.ArrayList;

/**
 * @author tanyaowu
 * 2016年6月29日 下午7:53:59
 */
@RequestPath(value = "/stat")
public class StatController {
	/**
	 * -- 按天统计页面的访问量
		---------------------------
		--     d              path        count
		-- 2018-04-16   /case/index.html	 24
		-- 2018-04-17   /case/index.html	 109
		-- 2018-04-17   /doc/index.html	     18
		-- 2018-04-16   /doc/index.html	     97
		---------------------------
	 * @param days
	 * @return
	 */
	@RequestPath(value = "/requestCountByDay")
	public Resp requestCountByDay(Integer days) {
		return Resp.ok(new ArrayList<>());
	}

	/**
	 * -- 按天统计不同的ip数
		---------------------------
		--    d         |  count
		-- 2018-04-16	|  35
		-- 2018-04-17	|  222
		---------------------------
	 * @param days
	 * @return
	 */
	@RequestPath(value = "/ipCountByDay")
	public Resp ipCountByDay(Integer days) {
		return Resp.ok(new ArrayList<>());
	}

	/**
	 * -- 按省统计点击量
		---------------------------------------------
		--  hitcount | ipcount      |  province
		--  6565     |   545	    |  浙江省
		--  5443     |   434	    |  湖南省
		---------------------------------------------
	 * @param days
	 * @return
	 */
	@RequestPath(value = "/statIpAndHitsByProvince")
	public Resp statIpAndHitsByProvince(Integer days) {
		return Resp.ok(new ArrayList<>());
	}

	@RequestPath(value = "/ip")
	public Resp ip(Boolean mergeRequest, String starttime, String endtime, Integer pageNumber, Integer pageSize) throws Exception {
		Page<Record> page = new Page<>();
		return Resp.ok(page);
	}
}
